# EventPriority (SubServers.Host)

net.ME1312.SubServers.Host.Library.Event

## Enum EventPriority

- java.lang.Object
- - java.lang.Enum<EventPriority>
  - - net.ME1312.SubServers.Host.Library.Event.EventPriority

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EventPriority>

    public enum EventPriority
    extends java.lang.Enum<EventPriority>

Event Priority Class
Events will be run Lowest to Highest

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HIGH`
`HIGHEST`
`LOW`
`LOWEST`
`NORMAL`

### Method Summary

All Methods Static Methods Concrete Methods
`static EventPriority` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EventPriority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LOWEST

    public static final EventPriority LOWEST

#### LOW

    public static final EventPriority LOW

#### NORMAL

    public static final EventPriority NORMAL

#### HIGH

    public static final EventPriority HIGH

#### HIGHEST

    public static final EventPriority HIGHEST

### Method Detail

#### values

    public static EventPriority[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EventPriority c : EventPriority.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EventPriority valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null